# Elmer configuration file

## Description

[Elmer/Ice](http://elmerice.elmerfem.org/) configuration files for the control inverse method to optimise the basal friction coefficient using the observed surface velocity.

Input files for the **STANDARD** simulation:
- Glen's enhencement factor E=1.0  
- Temperature field from SICOPOLIS present day initial state (Goelzer et al., 2020)
- Topography from BedMachine V3 (Morlighemn et al., 2017)
- Regularisation parameter : Lambda=1.0e5
- Observed surface velocity the MEaSUREs Multi-year Greenland Ice Sheet Velocity Mosaic, Version 1 (Joughin et al., 2016).

## Content:

- Elmer/Ice input configuration files:   
	- PROCESS_DATA.sif: preprocessing of the observed surface velocities   
	- INIT.sif: 3D initialisation   
	- OPTIM_BETA_IncStokes.sif: the control inverse method   
	- POST_PROCESS.sif: post-processing and interpolation on the regular grid
	- Edit_NETCDF.sh: edit the netcdf to change variable names and attribute following ISMIP6 conventions for the standard names   
	- Parameters : input paramters
	- src: source code

## References

Joughin, I., B. Smith, I. Howat, and T. Scambos. 2016. MEaSUREs Multi-year Greenland Ice Sheet Velocity Mosaic, Version 1. [Indicate subset used]. Boulder, Colorado USA. NASA National Snow and Ice Data Center Distributed Active Archive Center. doi: https://doi.org/10.5067/QUA5Q9SVMSJG

Gillet-Chaulet, F., Gagliardini, O., Seddik, H., Nodet, M., Durand, G., Ritz, C., Zwinger, T., Greve, R., Vaughan, D.G., 2012. Greenland ice sheet contribution to sea-level rise from a new-generation ice-sheet model. The Cryosphere 6, 1561–1576. https://doi.org/10.5194/tc-6-1561-2012

Goelzer, H., Nowicki, S., Payne, A., Larour, E., Seroussi, H., Lipscomb, W.H., Gregory, J., Abe-Ouchi, A., Shepherd, A., Simon, E., Agosta, C., Alexander, P., Aschwanden, A., Barthel, A., Calov, R., Chambers, C., Choi, Y., Cuzzone, J., Dumas, C., Edwards, T., Felikson, D., Fettweis, X., Golledge, N.R., Greve, R., Humbert, A., Huybrechts, P., Le clec’h, S., Lee, V., Leguy, G., Little, C., Lowry, D.P., Morlighem, M., Nias, I., Quiquet, A., Rückamp, M., Schlegel, N.-J., Slater, D.A., Smith, R.S., Straneo, F., Tarasov, L., van de Wal, R., van den Broeke, M., 2020. The future sea-level contribution of the Greenland ice sheet: a multi-model ensemble study of ISMIP6. The Cryosphere 14, 3071–3096. https://doi.org/10.5194/tc-14-3071-2020

Morlighem M. et al., (2017), BedMachine v3: Complete bed topography and ocean bathymetry mapping of Greenland from multi-beam echo sounding combined with mass conservation, Geophys. Res. Lett., 44, doi:10.1002/2017GL074954, http://onlinelibrary.wiley.com/doi/10.1002/2017GL074954/full
