  SUBROUTINE ComputeBoundaryWeights( Model,Solver,dt,TransientSimulation )
!------------------------------------------------------------------------------
!******************************************************************************
  USE DefUtils
  IMPLICIT NONE
!------------------------------------------------------------------------------
  TYPE(Solver_t) :: Solver
  TYPE(Model_t) :: Model

  REAL(KIND=dp) :: dt
  LOGICAL :: TransientSimulation

  TYPE(Variable_t), POINTER :: Var
  INTEGER,POINTER :: Perm(:)
  LOGICAL,PARAMETER :: BoundaryWeights=.TRUE.


  Var => Solver % Variable
  IF (.NOT.ASSOCIATED(Var)) &
    CALL FATAL('ComputeBoundayWeights','Solver ariable required')

  Perm => Var % Perm

  CALL CalculateNodalWeights(Solver, BoundaryWeights, Perm , Var=Var)
  
  IF ( ParEnv % PEs>1 ) CALL ParallelSumVector( Solver % Matrix,Var%Values, 0 )

  END SUBROUTINE ComputeBoundaryWeights
