!#################################################################
!#  Compute temperature raltive to pressure melting point
!#    VarIn(1) = T in °C
!#    VarIn(2) = P in MPa
!#      Tmelt=0-beta*P => ToutC=TinC+beta*P
!#      beta = 9.8e-08*1.0e06 K-1 MPa-1
!#    Tout=TinC + beta * P 
!#################################################################
      FUNCTION PMeltingPoint(Model,nodenumber,VarIn)  RESULT(Trel)
       USE Types
       implicit none
       !-----------------
       TYPE(Model_t) :: Model
       INTEGER :: nodenumber
       REAL(kind=dp) :: VarIn(2)
       REAL(kind=dp) :: Trel
       !-----------------
       REAL(kind=dp) :: Pe
       REAL(kind=dp),parameter :: beta=9.8e-2
      
       pe = VarIn(2)
      if (pe < 0._dp) then
        pe = 0.0
      end if
      Trel = VarIn(1) + beta*pe
      if (Trel > 0._dp) then
        Trel = 0._dp
      end if


      END FUNCTION PMeltingPoint
